Qt 5.11 | Qt Sensors | C++ Classes | QHolsterSensor

Qt 5.11.3 Reference Documentation

# QHolsterSensor Class

The QHolsterSensor class is a convenience wrapper around QSensor. More...

Header: | #include <QHolsterSensor>
qmake: | QT += sensors
Since: | Qt 5.1
Inherits: | QSensor

- List of all members, including inherited members

## Public Functions

| QHolsterSensor(QObject *parent = Q_NULLPTR)
virtual | ~QHolsterSensor()
QHolsterReading * | reading() const

- 37 public functions inherited from QSensor

### Additional Inherited Members

- 20 properties inherited from QSensor
- 2 public slots inherited from QSensor
- 14 signals inherited from QSensor
- 3 static public members inherited from QSensor

## Detailed Description

The QHolsterSensor class is a convenience wrapper around QSensor.

The only behavioural difference is that this class sets the type properly.

This class also features a reading() function that returns a QHolsterReading instead of a QSensorReading.

For details about how the sensor works, see QHolsterReading.

See also QHolsterReading.

## Member Function Documentation

### QHolsterSensor::QHolsterSensor(QObject *parent = Q_NULLPTR)

Construct the sensor as a child of parent.

### `[virtual]` QHolsterSensor::~QHolsterSensor()

Destroy the sensor. Stops the sensor if it has not already been stopped.

### QHolsterReading *QHolsterSensor::reading() const

Returns the reading class for this sensor.

See also QSensor::reading().